List child addresses
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses \
--header 'Authorization: Bearer <token>'[
{
"id": "cad_xyz789",
"address": "0x...",
"derivationPath": "m/44'/60'/0'/0/1",
"masterWalletId": "mwt_abc123",
"name": "Customer A"
}
]Wallets
List child addresses
GET
/
wallet-infra
/
master-wallets
/
{id}
/
child-addresses
List child addresses
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/child-addresses \
--header 'Authorization: Bearer <token>'[
{
"id": "cad_xyz789",
"address": "0x...",
"derivationPath": "m/44'/60'/0'/0/1",
"masterWalletId": "mwt_abc123",
"name": "Customer A"
}
]Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys

